﻿Class Movie

    Private Sub border_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.MouseButtonEventArgs) Handles border.MouseDown
        If e.LeftButton = MouseButtonState.Pressed Then
            Me.DragMove()
        End If
    End Sub

    Private Sub mediaPlayer_MediaEnded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles mediaPlayer.MediaEnded
        Controller.instance().onMediaEnded(sender, e)
    End Sub

    Private Sub mediaPlayer_MediaOpened(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles mediaPlayer.MediaOpened
        changeSize()

        Controller.instance().onMediaOpened(sender, e)

        If mediaPlayer.HasVideo Then
            frmMovie.Show()
        Else
            frmMovie.Hide()
        End If
    End Sub

    Private Sub changeSize(Optional ByVal m As Double = 1)

        If mediaPlayer.NaturalVideoWidth = 0 Then
            frmMovie.Width = 108
            frmMovie.Height = 108
            imgAlbum.Visibility = Windows.Visibility.Visible
            Return
        Else
            imgAlbum.Visibility = Windows.Visibility.Hidden
        End If


        frmMovie.Width = (mediaPlayer.NaturalVideoWidth * m) + 8
        frmMovie.Height = (mediaPlayer.NaturalVideoHeight * m) + 8
    End Sub

    Private Sub mnuSize25_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles mnuSize25.Click
        changeSize(0.25)
    End Sub

    Private Sub mnuSize50_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles mnuSize50.Click
        changeSize(0.5)
    End Sub

    Private Sub mnuSize100_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles mnuSize100.Click
        changeSize(1)
    End Sub

    Private Sub mnuSize200_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles mnuSize200.Click
        changeSize(2)
    End Sub

End Class
